public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/evolution-data-server/
Date: Fri, 27 May 2022 10:20:06 +0000 (UTC)	[thread overview]
Message-ID: <1653646680.56db9fdbb0b6ad18315a7db2ab3864aed6849b75.pacho@gentoo> (raw)

commit:     56db9fdbb0b6ad18315a7db2ab3864aed6849b75
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri May 27 10:18:00 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri May 27 10:18:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56db9fdb

gnome-extra/evolution-data-server: add 3.44.2

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 gnome-extra/evolution-data-server/Manifest         |   1 +
 .../evolution-data-server-3.44.2.ebuild            | 155 +++++++++++++++++++++
 2 files changed, 156 insertions(+)

diff --git a/gnome-extra/evolution-data-server/Manifest b/gnome-extra/evolution-data-server/Manifest
index 6bdd91dec350..a242e0127e0f 100644
--- a/gnome-extra/evolution-data-server/Manifest
+++ b/gnome-extra/evolution-data-server/Manifest
@@ -1,3 +1,4 @@
 DIST evolution-data-server-3.42.4.tar.xz 4623968 BLAKE2B e2ae0b4dfc6f34fac384093dd52b88fadce70c646d70c7df1758a6d514bcec1f092e8f4d8f28d50651201b45791112f811b94c8083487ca072bd002f6a11b75a SHA512 e2eba6ffeac2924366169cdae4258c7fc7d1172c2aa3a0ced83bea60556627b39ee9ee6f45a64081de232e0c2e801e2cbb19b6fa4a8958ad0f868c87e0b20f4a
 DIST evolution-data-server-3.44.0.tar.xz 4782136 BLAKE2B 1e1a0419eba31b656107c9ce84f8e6cd4fed37e593417009a6466832ed418e12e8069e989b5eff75e454faeb51429373ddd123eae8a4bc544226d456232376ff SHA512 7c4e7fdc25814b03bf5d6bf3a1d368b318cb093f5656c39dbe59a1b85929a5eb3e6f36135cfcdeb7600baa9f5dedf6ac122974818f7e908b282578bc7122b6b5
 DIST evolution-data-server-3.44.1.tar.xz 4782040 BLAKE2B d12c885a2e2e0eaccb54c46c83117e70708322169e55fb2ec3e64d4d094042164e7586964aeee45f4648f6506ab01c3bd92349a5a182ef2e1e5cbcc395de9b33 SHA512 d09a9f79e1b93ae112c9ed58d7f71c5034db5c2bdc3db9b452475f1fb490ce7945afaaec5e4f80de033e4280d86a4f7eb8026bdda5a78d03da1f496dce000e6d
+DIST evolution-data-server-3.44.2.tar.xz 4783272 BLAKE2B ab559d26345a8a42b350a042474084ecfc0efaba73e2ae7f93d350e8edd040c27600df590f25a9059db670ed0ddd3eaaab92518644db805d2f7beaa2a0c53803 SHA512 cf7fefeb00899cddca0fb9abeddead582ae944f41960c815813312ecf9bde5a19bcd41fa7038eddf7d5c7cf568fda51e9dbb0603bebec54284ce6ac1f9c10305

diff --git a/gnome-extra/evolution-data-server/evolution-data-server-3.44.2.ebuild b/gnome-extra/evolution-data-server/evolution-data-server-3.44.2.ebuild
new file mode 100644
index 000000000000..768bfb30adc4
--- /dev/null
+++ b/gnome-extra/evolution-data-server/evolution-data-server-3.44.2.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake db-use flag-o-matic gnome2 vala virtualx
+
+DESCRIPTION="Evolution groupware backend"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) BSD Sleepycat"
+SLOT="0/63-26-20" # subslot = libcamel-1.2/libedataserver-1.2/libebook-1.2.so soname version
+
+IUSE="berkdb +gnome-online-accounts +gtk gtk-doc +introspection ipv6 ldap kerberos oauth vala +weather"
+REQUIRED_USE="vala? ( introspection )"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+
+# gdata-0.17.7 soft required for new gdata_feed_get_next_page_token API to handle more than 100 google tasks
+# berkdb needed only for migrating old addressbook data from <3.13 versions, bug #519512
+# glib-2.70 for build-time optional GPowerProfileMonitor
+gdata_depend=">=dev-libs/libgdata-0.17.7:="
+RDEPEND="
+	>=app-crypt/gcr-3.4
+	>=app-crypt/libsecret-0.5[crypt]
+	>=dev-db/sqlite-3.7.17:=
+	>=dev-libs/glib-2.70:2
+	>=dev-libs/libical-3.0.8:=[glib,introspection?]
+	>=dev-libs/libxml2-2
+	>=dev-libs/nspr-4.4:=
+	>=dev-libs/nss-3.9:=
+	>=net-libs/libsoup-2.58:2.4
+
+	dev-libs/icu:=
+	sys-libs/zlib:=
+	virtual/libiconv
+
+	berkdb? ( >=sys-libs/db-4:= )
+	gtk? (
+		>=app-crypt/gcr-3.4[gtk]
+		>=x11-libs/gtk+-3.16:3
+		>=media-libs/libcanberra-0.25[gtk3]
+	)
+	oauth? (
+		>=dev-libs/json-glib-1.0.4
+		>=net-libs/webkit-gtk-2.28.0:4
+		${gdata_depend}
+	)
+	gnome-online-accounts? (
+		>=net-libs/gnome-online-accounts-3.8:=
+		${gdata_depend} )
+	introspection? ( >=dev-libs/gobject-introspection-0.9.12:= )
+	kerberos? ( virtual/krb5:= )
+	ldap? ( >=net-nds/openldap-2:= )
+	weather? ( >=dev-libs/libgweather-3.91.0:4= )
+"
+DEPEND="${RDEPEND}
+	vala? ( $(vala_depend)
+		net-libs/libsoup:2.4[vala]
+		dev-libs/libical[vala]
+		oauth? ( dev-libs/libgdata[vala] )
+		gnome-online-accounts? ( dev-libs/libgdata[vala] )
+	)
+"
+BDEPEND="
+	dev-util/gdbus-codegen
+	dev-util/glib-utils
+	dev-util/gperf
+	gtk-doc? ( >=dev-util/gtk-doc-1.14
+		app-text/docbook-xml-dtd:4.1.2 )
+	>=dev-util/intltool-0.35.5
+	>=sys-devel/gettext-0.18.3
+	virtual/pkgconfig
+"
+
+# Some tests fail due to missing locales.
+# Also, dbus tests are flaky, bugs #397975 #501834
+# It looks like a nightmare to disable those for now.
+RESTRICT="test !test? ( test )"
+
+# global scope PATCHES or DOCS array mustn't be used due to double default_src_prepare call
+src_prepare() {
+	use vala && vala_setup
+	cmake_src_prepare
+	gnome2_src_prepare
+
+	eapply "${FILESDIR}"/3.36.5-gtk-doc-1.32-compat.patch
+
+	# Make CMakeLists versioned vala enabled
+	sed -e "s;\(find_program(VALAC\) valac);\1 ${VALAC});" \
+		-e "s;\(find_program(VAPIGEN\) vapigen);\1 ${VAPIGEN});" \
+		-i "${S}"/CMakeLists.txt || die
+}
+
+src_configure() {
+	# /usr/include/db.h is always db-1 on FreeBSD
+	# so include the right dir in CPPFLAGS
+	use berkdb && append-cppflags "-I$(db_includedir)"
+
+	local google_enable
+	if use oauth || use gnome-online-accounts; then
+		google_enable="ON"
+	else
+		google_enable="OFF"
+	fi
+
+	# phonenumber does not exist in tree
+	local mycmakeargs=(
+		-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+		-DENABLE_GTK_DOC=$(usex gtk-doc)
+		-DWITH_PRIVATE_DOCS=$(usex gtk-doc)
+		-DENABLE_SCHEMAS_COMPILE=OFF
+		-DENABLE_INTROSPECTION=$(usex introspection)
+		-DWITH_KRB5=$(usex kerberos)
+		-DWITH_KRB5_INCLUDES=$(usex kerberos "${EPREFIX}"/usr "")
+		-DWITH_KRB5_LIBS=$(usex kerberos "${EPREFIX}"/usr/$(get_libdir) "")
+		-DWITH_OPENLDAP=$(usex ldap)
+		-DWITH_PHONENUMBER=OFF
+		-DENABLE_SMIME=ON
+		-DENABLE_GTK=$(usex gtk)
+		-DENABLE_CANBERRA=$(usex gtk)
+		-DENABLE_OAUTH2=$(usex oauth)
+		-DENABLE_EXAMPLES=OFF
+		-DENABLE_GOA=$(usex gnome-online-accounts)
+		-DWITH_LIBDB=$(usex berkdb "${EPREFIX}"/usr OFF)
+		# ENABLE_BACKTRACES requires libdwarf ?
+		-DENABLE_IPV6=$(usex ipv6)
+		-DENABLE_WEATHER=$(usex weather)
+		-DWITH_GWEATHER4=ON
+		-DENABLE_GOOGLE=${google_enable}
+		-DENABLE_LARGEFILE=ON
+		-DENABLE_VALA_BINDINGS=$(usex vala)
+	)
+
+	cmake_src_configure
+}
+
+src_compile() {
+	cmake_src_compile
+}
+
+src_test() {
+	virtx cmake_src_test
+}
+
+src_install() {
+	cmake_src_install
+
+	if use ldap; then
+		insinto /etc/openldap/schema
+		doins "${FILESDIR}"/calentry.schema
+		dosym ../../../usr/share/${PN}/evolutionperson.schema /etc/openldap/schema/evolutionperson.schema
+	fi
+}


             reply	other threads:[~2022-05-27 10:20 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-27 10:20 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-20 17:42 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/evolution-data-server/ Andreas Sturmlechner
2024-09-17 23:30 Sam James
2024-08-06  9:31 Pacho Ramos
2024-08-06  9:31 Pacho Ramos
2024-05-25 21:14 Mart Raudsepp
2024-05-16 15:24 Arthur Zamarin
2024-04-28 20:44 Mart Raudsepp
2024-02-11 14:49 Mart Raudsepp
2024-02-11  8:09 Arthur Zamarin
2024-02-09 22:26 Mart Raudsepp
2024-01-05 18:29 Mart Raudsepp
2024-01-05 18:29 Mart Raudsepp
2023-12-16  9:55 Pacho Ramos
2023-10-21 21:21 Mart Raudsepp
2023-09-16 14:07 Matt Turner
2023-08-30  7:57 Arthur Zamarin
2023-08-12 18:16 Arthur Zamarin
2023-08-12 17:44 Arthur Zamarin
2023-08-02 17:00 Sam James
2023-07-07 22:11 Matt Turner
2023-06-19 15:30 Matt Turner
2023-06-04 17:58 Matt Turner
2023-05-26 19:42 Matt Turner
2023-05-05  9:04 Arthur Zamarin
2023-05-05  9:04 Arthur Zamarin
2023-05-05  8:17 Arthur Zamarin
2023-04-22  3:08 Matt Turner
2023-02-20 17:32 Matt Turner
2023-02-17  8:23 Arthur Zamarin
2023-02-10 19:18 Matt Turner
2023-01-07 17:42 Matt Turner
2022-12-04  9:23 WANG Xuerui
2022-12-03  4:47 WANG Xuerui
2022-12-02 14:35 Matt Turner
2022-11-14  1:53 Matt Turner
2022-10-25 15:25 Matt Turner
2022-10-14  1:21 Matt Turner
2022-10-01 17:16 Matt Turner
2022-10-01 17:16 Matt Turner
2022-09-30 18:29 Matt Turner
2022-09-30 16:52 Matt Turner
2022-09-12 16:01 Sam James
2022-09-12 16:00 Sam James
2022-08-05 20:49 Matt Turner
2022-07-29  2:59 Sam James
2022-07-18 23:41 Sam James
2022-07-02  3:48 Matt Turner
2022-04-23  5:00 Matt Turner
2022-03-23  8:19 Matt Turner
2022-03-23  6:44 Matt Turner
2022-02-11 20:56 Matt Turner
2022-01-09 19:42 Matt Turner
2021-12-09 17:11 Mart Raudsepp
2021-11-06  4:09 Sam James
2021-10-04  1:25 Sam James
2021-10-04  1:24 Sam James
2021-09-04 15:31 Andreas Sturmlechner
2021-08-27 15:19 Yixun Lan
2021-08-20 23:51 Sam James
2021-08-13 16:27 Mart Raudsepp
2021-07-23  1:11 Matt Turner
2021-07-11 20:48 Sam James
2021-06-06 21:49 Matt Turner
2021-04-30 16:33 Matt Turner
2021-04-17 22:23 Matt Turner
2021-04-17  1:20 Matt Turner
2021-04-12 23:11 Sam James
2021-02-14 22:21 Mart Raudsepp
2021-01-09 10:37 Mart Raudsepp
2020-12-13 18:49 Mart Raudsepp
2020-07-19 17:31 Mart Raudsepp
2020-07-04 21:18 Mart Raudsepp
2020-07-04 15:07 Mart Raudsepp
2020-06-29 15:42 Mikle Kolyada
2020-06-28 14:19 Thomas Deutschmann
2020-06-14 14:25 Mart Raudsepp
2020-05-08  7:22 Mart Raudsepp
2020-05-08  7:22 Mart Raudsepp
2020-04-22 16:17 Mart Raudsepp
2020-03-02 19:53 Mart Raudsepp
2020-03-01 16:18 Mart Raudsepp
2020-01-10 13:52 Mart Raudsepp
2020-01-09 12:47 Agostino Sarubbo
2019-12-15 16:48 Pacho Ramos
2019-03-30 22:21 Mart Raudsepp
2019-02-26 16:34 Mart Raudsepp
2019-02-22 18:03 Mart Raudsepp
2018-09-16  9:10 Mart Raudsepp
2018-09-09 17:52 Mart Raudsepp
2018-02-03 22:00 Mart Raudsepp
2018-01-18  3:15 Mikle Kolyada
2017-12-10 10:27 Pacho Ramos
2017-12-10 10:27 Pacho Ramos
2017-09-11  6:38 Gilles Dartiguelongue
2017-08-27 15:34 Michael Palimaka
2017-08-14 16:58 Gilles Dartiguelongue
2017-03-20 17:05 Mart Raudsepp
2017-03-15 23:16 Mart Raudsepp
2017-03-15 23:16 Mart Raudsepp
2017-03-15 11:44 Mart Raudsepp
2017-02-15 19:52 Mart Raudsepp
2017-01-09 21:36 Mart Raudsepp
2017-01-04 22:37 Gilles Dartiguelongue
2016-12-05  9:57 Pacho Ramos
2016-12-05  9:57 Pacho Ramos
2016-11-09  8:28 Gilles Dartiguelongue
2016-10-26  7:03 Gilles Dartiguelongue
2016-10-26  7:03 Gilles Dartiguelongue
2016-09-04 23:20 Gilles Dartiguelongue
2016-08-15  9:01 Pacho Ramos
2016-08-15  9:01 Pacho Ramos
2016-07-30 10:50 Pacho Ramos
2016-07-02 13:31 Pacho Ramos
2016-07-02 13:31 Pacho Ramos
2016-07-02 13:31 Pacho Ramos
2016-03-06 17:23 Mikle Kolyada
2016-01-30 12:23 Pacho Ramos
2016-01-30 12:23 Pacho Ramos
2015-12-21  8:14 Gilles Dartiguelongue
2015-11-09 11:25 Pacho Ramos
2015-11-09 11:25 Pacho Ramos
2015-09-07 16:24 Mikle Kolyada
2015-09-05 11:29 Pacho Ramos
2015-09-05 11:27 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653646680.56db9fdbb0b6ad18315a7db2ab3864aed6849b75.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox